     h Nomain Debug(*Yes) Option(*SrcStmt) Indent('| ') Bnddir('GETTRGINF')
      *----------------------------------------------------------------
      * Program: GETTRGINF - Get trigger info
      * Author:  Brent Sauser
      * Date:    08/24/1999
      *
      * Description:
      *   This program gets the user id, current date/time and caller
      *   program to pass back to the calling trigger program for
      *   audit tracking.
      *
      * Input:
      *
      * Output:  UserId - user id doing insert/update
      *          CallPgm - called by program doing insert/update
      *          TimeNow - current system date/time
      *
      * Called by:  Various trigger programs
      *
      * Special Instructions: None
      *----------------------------------------------------------------

     d ProgramDS     esds                  Extname(PGMDS) Prefix(P_)

      /Copy Qcpylesrc,Gettrginfh
      /Copy Qcpylesrc,Callerids
      /Copy Qcpylesrc,Getsvcusrh

      *---------------------------------------------------------------------
      * Get trigger info
      *---------------------------------------------------------------------
     p GetTrgInf       b                   Export

     d GetTrgInf       pi
     d  UserId                       10
     d  CallPgm                      10
     d  TimeNow                        Z

      * Local variables
     d InPSSR          s               N   Inz(*off)

     c                   time                    TimeNow
     c                   clear                   UserId

      * If Quser profile, try to get the profile out of the joblog
     c                   if        P_Userid = 'QUSER'
     c                   eval      UserId = GetSvcUsr
     c                   endif

      * If no luck, then default back to program user id
     c                   if        UserId = *blank
     c                   eval      UserId = P_Userid
     c                   endif

      * Get program name from stack
     c                   eval      CallPgm = Callerid

     c                   return

      *---------------------------------------------------------------------
     c     *PSSR         begsr
     c                   if        InPSSR = *off
     c                   eval      InPSSR = *on
     c                   dump
     c                   endif
     c                   endsr

     p GetTrgInf       e
